Index: python/lib/gen_pyobject.py
===================================================================
--- python/lib/gen_pyobject.py	(revision ab7b1b7ffd20616fd38b02c72468fcc6657ec97a)
+++ python/lib/gen_pyobject.py	(revision 6a03729dc3c88d056ba0b883d25ecf49adfc4a50)
@@ -100,5 +100,4 @@
     'tempo':        ['1'],
     'peakpicker':   ['1'],
-    'source':       ['self->block_size', '1'],
 }
 
@@ -116,6 +115,4 @@
     # and here too
     'hop_size': 'Py_default_vector_length / 2', 
-    # add block_size, synonim of hop_size
-    'block_size': 'Py_default_vector_length / 2',
     # these should be alright
     'samplerate': 'Py_aubio_default_samplerate', 
Index: src/io/source.h
===================================================================
--- src/io/source.h	(revision ab7b1b7ffd20616fd38b02c72468fcc6657ec97a)
+++ src/io/source.h	(revision 6a03729dc3c88d056ba0b883d25ecf49adfc4a50)
@@ -43,5 +43,5 @@
   \param uri the file path or uri to read from
   \param samplerate sampling rate to view the fie at
-  \param block_size the size of the blocks to read from
+  \param hop_size the size of the blocks to read from
 
   Creates a new source object. If `0` is passed as `samplerate`, the sample
@@ -52,9 +52,9 @@
 
 */
-aubio_source_t * new_aubio_source(char_t * uri, uint_t samplerate, uint_t block_size);
+aubio_source_t * new_aubio_source(char_t * uri, uint_t samplerate, uint_t hop_size);
 
 /**
 
-  read monophonic vector of length block_size from source object
+  read monophonic vector of length hop_size from source object
 
   \param s source object, created with ::new_aubio_source
@@ -63,5 +63,5 @@
 
   Upon returns, `read` contains the number of frames actually read from the
-  source. `block_size` if enough frames could be read, less otherwise.
+  source. `hop_size` if enough frames could be read, less otherwise.
 
 */
Index: src/io/source_apple_audio.h
===================================================================
--- src/io/source_apple_audio.h	(revision ab7b1b7ffd20616fd38b02c72468fcc6657ec97a)
+++ src/io/source_apple_audio.h	(revision 6a03729dc3c88d056ba0b883d25ecf49adfc4a50)
@@ -49,5 +49,5 @@
   \param uri the file path or uri to read from
   \param samplerate sampling rate to view the fie at
-  \param block_size the size of the blocks to read from
+  \param hop_size the size of the blocks to read from
 
   Creates a new source object. If `0` is passed as `samplerate`, the sample
@@ -58,9 +58,9 @@
 
 */
-aubio_source_apple_audio_t * new_aubio_source_apple_audio(char_t * uri, uint_t samplerate, uint_t block_size);
+aubio_source_apple_audio_t * new_aubio_source_apple_audio(char_t * uri, uint_t samplerate, uint_t hop_size);
 
 /**
 
-  read monophonic vector of length block_size from source object
+  read monophonic vector of length hop_size from source object
 
   \param s source object, created with ::new_aubio_source_apple_audio
@@ -69,8 +69,9 @@
 
   Upon returns, `read` contains the number of frames actually read from the
-  source. `block_size` if enough frames could be read, less otherwise.
+  source. `hop_size` if enough frames could be read, less otherwise.
 
 */
 void aubio_source_apple_audio_do(aubio_source_apple_audio_t * s, fvec_t * read_to, uint_t * read);
+void aubio_source_apple_audio_do_multi(aubio_source_apple_audio_t * s, fmat_t * read_to, uint_t * read);
 
 /**
Index: src/io/source_sndfile.h
===================================================================
--- src/io/source_sndfile.h	(revision ab7b1b7ffd20616fd38b02c72468fcc6657ec97a)
+++ src/io/source_sndfile.h	(revision 6a03729dc3c88d056ba0b883d25ecf49adfc4a50)
@@ -48,5 +48,5 @@
   \param uri the file path or uri to read from
   \param samplerate sampling rate to view the fie at
-  \param block_size the size of the blocks to read from
+  \param hop_size the size of the blocks to read from
 
   Creates a new source object. If `0` is passed as `samplerate`, the sample
@@ -57,9 +57,9 @@
 
 */
-aubio_source_sndfile_t * new_aubio_source_sndfile(char_t * uri, uint_t samplerate, uint_t block_size);
+aubio_source_sndfile_t * new_aubio_source_sndfile(char_t * uri, uint_t samplerate, uint_t hop_size);
 
 /**
 
-  read monophonic vector of length block_size from source object
+  read monophonic vector of length hop_size from source object
 
   \param s source object, created with ::new_aubio_source_sndfile
@@ -68,5 +68,5 @@
 
   Upon returns, `read` contains the number of frames actually read from the
-  source. `block_size` if enough frames could be read, less otherwise.
+  source. `hop_size` if enough frames could be read, less otherwise.
 
 */
